Skip to main content

Browser Support

The Flowbox embed Widget is being tested and supported on the following browsers.

BrowserSupported version
Edge18 & 84 and above
Chrome49 & 80 and above
Firefox34 and above
iOS Safari10.3 and above
Opera69 & 70
Safari10.1 and above
caution

As of April 1, 2021, Flowbox will no longer support Internet Explorer 11